{% extends 'base.html' %}

{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if task %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for tasks in task %}
                            <tr>
                                <td>{{ tasks.name }}</td>
                                <td>{{ tasks.start_date|date:"m/d/y" }}</td>
                                <td>{{ tasks.due_date|date:"m/d/y" }}</td>
                                <td>{{ tasks.is_completed|yesno:"yes,no" }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
